using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "type_mondes")]
    public class TypeMonde : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "texte_section")]
        public string? TexteSection { get; set; }

        [XmlAttribute(AttributeName = "age")]
        public string? Age { get; set; }

        [XmlAttribute(AttributeName = "cheveux")]
        public string? Cheveux { get; set; }

        [XmlAttribute(AttributeName = "corpulence")]
        public string? Corpulence { get; set; }

        [XmlAttribute(AttributeName = "particularités_physiques")]
        public string? ParticularitésPhysiques { get; set; }

        [XmlAttribute(AttributeName = "peau")]
        public string? Peau { get; set; }

        [XmlAttribute(AttributeName = "yeux")]
        public string? Yeux { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int TypeMondeId { get; set; }
    }


}
